const helper = {}
const crypto = require('crypto');
helper.getSign = function(distributorId,secretKey) {
    const params = [distributorId, secretKey, helper.getCurrentUnixTimestamp()];
    // 将参数数组中的每个元素转换为字符串并连接成一个单一的字符串
    const paramStr = params.map(String).join('');
    
    // 使用 MD5 算法生成哈希值
    const hash = crypto.createHash('md5');
    hash.update(paramStr);
    
    // 返回哈希值的十六进制表示
    return hash.digest('hex');
}
helper.getCurrentUnixTimestamp = function() {
    return Math.floor(Date.now() / 1000)
}
module.exports = helper;